/*	XAP monitor head file				*/
/*	Written by Liu Zhiguo 2003-03-13	*/
/*	Version 1.0							*/
/*	--------------------------------	*/

#ifndef _XAP_MONITOR
#define _XAP_MONITOR

void xap_init_m(void);
void xap_monitor(void);

void xap_send_error(const char *fmt,...);
void xap_msg_display(u8 *info_str);
void xap_dlg_display(struct CSLdlg_struct *dha_ptr);
void xap_cmp_display(struct CSLcmp_struct *cha_ptr);
void xap_watch_dog(u32 wd_site);
void xap_logdebug(const char *fmt,...);

#endif
